Name: sugar-plugin-upgrade
Version: 0.1
Epoch: 1
Release: 2.1
Group: Development/Tools/Other
Summary: Sugar Shell plugin to process unattended system upgrades
License: GPLv3+
Url: http://git.sugarlabs.org/desktop/sugar-plugin-upgrade

Source: sugar-plugin-upgrade-0.1.tar.gz
Source1: sweet.tar.gz





BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Sugar Shell plugin to process unattended system upgrades

%prep
%setup -n sugar-plugin-upgrade-0.1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/sugar-plugin-upgrade && cp AUTHORS COPYING HACKING README %{buildroot}/.dest/%{_datadir}/doc/sugar-plugin-upgrade/ && install -m 0755 -d %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins && cp -r plugin %{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/upgrade && for i in `ls po/*.po`; do d=%{buildroot}/.dest//opt/sweets/sugar/src/jarabe/plugins/upgrade/locale/`basename $i .po`/LC_MESSAGES && mkdir -p $d && msgfmt -o $d/sugar-plugin-upgrade.mo $i; done && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-plugin-upgrade.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-plugin-upgrade
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-plugin-upgrade/pydirs)
echo /opt/sweets/sugar-plugin-upgrade/pydirs >> sugar-plugin-upgrade.files

%post
test -e /opt/sweets/sugar-plugin-upgrade/pydirs && for i in `cat /opt/sweets/sugar-plugin-upgrade/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-plugin-upgrade/pydirs && for i in `cat /opt/sweets/sugar-plugin-upgrade/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-plugin-upgrade.files

%changelog
